## kphotoalbum 4.1.1

=== CMakeLists.txt ===
project(kphotoalbum)

find_package(KDE4 REQUIRED)
include( KDE4Defaults)

# This seems to be needed for KPA to compile with KDE 4.0.0
set(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                 ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )

ADD_DEFINITIONS(${QT_DEFINITIONS} 
                ${KDE4_DEFINITIONS}
                ${KDE4_ENABLE_EXCEPTIONS}
                -DQT3_SUPPORT
                -DQT3_SUPPORT_WARNINGS
                -DOVERRIDE=
                -DKDAB_NYI=qWarning
                -DQT_NO_CAST_FROM_ASCII
                -DQT_NO_CAST_TO_ASCII
#                -DDB_RAWID_IS_PLAIN_INTEGER
               )

INCLUDE_DIRECTORIES(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                   )

find_package(JPEG REQUIRED)
if (JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
endif (JPEG_FOUND)

macro_optional_find_package(Kipi)
macro_bool_to_01(KIPI_FOUND HASKIPI)
if(KIPI_FOUND)
  ADD_DEFINITIONS(${KIPI_DEFINITIONS})
  INCLUDE_DIRECTORIES(BEFORE ${KIPI_INCLUDE_DIR})
endif(KIPI_FOUND)

macro_optional_find_package(Kdcraw)
macro_bool_to_01(KDCRAW_FOUND HAVE_KDCRAW)
if(KDCRAW_FOUND)
  ADD_DEFINITIONS(${KDCRAW_DEFINITIONS})
  INCLUDE_DIRECTORIES(BEFORE ${KDCRAW_INCLUDE_DIR})
endif(KDCRAW_FOUND)

macro_optional_find_package(Exiv2)
macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)

# because macro_optional_find_package(Marble) dies and screams when there's no
# FindMarble.cmake
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

macro_optional_find_package(Marble)
macro_bool_to_01(MARBLE_FOUND HAVE_MARBLE)
if(MARBLE_FOUND)
    INCLUDE_DIRECTORIES(${MARBLE_INCLUDE_DIR})
endif(MARBLE_FOUND)


macro_optional_find_package(Nepomuk)
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)

if(QT_QTSQL_FOUND)
  set(SQLDB_SUPPORT TRUE)
endif(QT_QTSQL_FOUND)

# For config-kpa-*.h
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


set(libdatebar_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp)

set(libSettings_SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SubCategoriesPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp
)

set(libxmldb_SRCS
       ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategoryCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLImageDateCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/NumberedBackup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileReader.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileWriter.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/IdNameMapper.cpp)

set(libThumbnailView_SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailCache.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailBuilder.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailPainter.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp
)
set(libPlugins_SRCS)

if(KIPI_FOUND)
set(libPlugins_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/CategoryImageCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollectionSelector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
)
endif(KIPI_FOUND)

set(libViewer_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/SpeedDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Display.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp)

set(libCategoryListView_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableListView.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragObject.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp )

set(libHTMLGenerator_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp)
set(libUtilities_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Graph.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Set.cpp
    )

set(libMainWindow_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/FeatureDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/InvalidDateFinder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/TokenEditor.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/WelcomeDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Window.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SplashScreen.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ExternalPopup.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CategoryImagePopup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SearchBar.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ImageCounter.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DirtyIndicator.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatisticsDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/BreadcrumbViewer.cpp
    )

set(libImageManager_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoader.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Manager.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClient.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoManager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailStorage.cpp )

set(libDB_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/Category.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryCollection.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDate.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/MD5Map.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/MemberMap.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfoList.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDB.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/FileInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/NewImageFinder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/GroupCounter.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryMatcher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageSearchInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryItem.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ResultId.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/Result.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/NoOtherItemsCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ContainerCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ValueCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/OrCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/AndCategoryMatcher.cpp
    )

set(libImportExport_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/Export.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/Import.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportMatcher.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/XMLHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/MiniViewer.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImageRow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportSettings.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/KimFileReader.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/MD5CheckPage.cpp
)

set(libAnnotationDialog_SRCS  
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/Dialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ListSelect.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ImagePreview.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ImagePreviewWidget.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/KDateEdit.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/CompletableLineEdit.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ListViewItemHider.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ShowSelectionOnlyManager.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ShortCutManager.cpp 
)

set(libBrowser_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/BrowserWidget.cpp 
 	${CMAKE_CURRENT_SOURCE_DIR}/Browser/BrowserPage.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/Browser/OverviewPage.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/Browser/CategoryPage.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/Browser/ImageViewPage.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/TreeFilter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/Breadcrumb.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/BreadcrumbList.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/Browser/AbstractCategoryModel.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/FlatCategoryModel.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/TreeCategoryModel.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Browser/CenteringIconView.cpp
	)


set(libexif_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/Database.cpp  
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/InfoDialog.cpp  
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/SearchDialog.cpp  
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/SearchInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/TreeView.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/Info.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/RangeWidget.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/DatabaseElement.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Exif/ReReadDialog.cpp )

add_subdirectory( images )
add_subdirectory( icons )
add_subdirectory( demo )
add_subdirectory( themes )
if(SQLDB_SUPPORT)
  add_subdirectory( SQLDB )
endif(SQLDB_SUPPORT)

set(EXIV2_SRCS)
if(EXIV2_FOUND)
 	set(EXIV2_SRCS 
# ${CMAKE_CURRENT_SOURCE_DIR}/Browser/ExifFolder.cpp 
 ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ExifPage.cpp
  ${libexif_SRCS})
endif(EXIV2_FOUND)

########### next target ###############

=== debian/changelog ===
kphotoalbum (4.1.1-3) unstable; urgency=low

  * Update Build-Depends for KDE SC 4.4.3 (Closes: #579986) 

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 20:15:11 +1000

kphotoalbum (4.1.1-2) unstable; urgency=low

  * Add stable branch pull patch from KDE svn:
    - Remove of some code that became dead with yesterdays bugfix
    - fixed bug #220373: Viewer settings dialog did not load correct
      values and had wrong defaults. (Closes: #563821)
    - fixed bug #220376: Shortcuts in the annotation dialog was broken
      in some translations
    - bugfix: KPA crashes when viewing images if viewer cache size is set to
      zero
    - fixed bug #211907: Fix EXIF support dialog at startup.
    - fixed bug #147891: Crashing on wrong export directory in Plugin interface
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules:
    - Use kde sequence addon.

 -- Fathi Boudra <fabo@debian.org>  Thu, 14 Jan 2010 10:12:27 +0100

kphotoalbum (4.1.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes "Missing EXIF support dialog". (Closes: #552236)
    - Fixes "Picture counter on timeline". (Closes: #535094)
  * Fixup debian/watch.
  * Fix "English help files are missing"
    - Add missing doc/CMakeLists.txt (Closes: #557141)

 -- Mark Purcell <msp@debian.org>  Sun, 27 Dec 2009 22:01:46 +1100

kphotoalbum (4.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #538061)
  * Update debian/control:
    - Remove cdbs build dependency
    - Bump Standards-Version to 3.8.2 (no changes needed)
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Thu, 30 Jul 2009 14:28:40 +0200

kphotoalbum (4.0.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_kphotoalbum_r967963.diff & quilt obsolete

 -- Mark Purcell <msp@debian.org>  Sun, 24 May 2009 16:48:14 +1000

kphotoalbum (4.0-2) unstable; urgency=low

  * Add branch pull patch from r967963:
    - BUGFIX: The HTML generator did not display the available themes
      correctly.
    - BUGFIX: Invoke external application for multiple files did not work.
    - BUGFIX: build failure on armel architecture.
  * Add quilt build dependency and related CDBS include.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 May 2009 12:42:48 +0200

kphotoalbum (4.0-1) unstable; urgency=low

  * New upstream release
    - dialog layout code rewrite (Closes: #451330).
    - Initial KDE 4 version (Closes: #507235).

  [ Fathi Boudra ]
  * Remove patches (not needed).
  * Bump compat to 7.
  * Update debian/control:
    - Switch from kde section to graphics.
    - Remove quilt and libkexif1-dev build dependencies.
    - Bump debhelper to 7.
    - Add cmake and pkg-kde-tools build dependencies.
    - Bump libexiv2 buil dependency to 0.18.
    - Replace libkdcraw-dev build dependency by libkdcraw7-dev.
    - Replace libkipi0-dev build dependency by libkipi6-dev.
    - Add libjpeg62-dev, libmarble-dev and x11proto-core-dev build
      dependencies.
    - Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).
    - Replace libqt3-mt-sqlitea nd sqlite dependencies by libqt4-sql-sqlite.
    - Remove deprecated kimdaba conflicts/replaces/provides.
    - Add mplayerthumbs suggests.
  * Update debian/copyright:
    - Remove Dave Coffin.
    - Add Henner Zeller.
    - Update GPL version and years.
  * Update debian/rules:
    - Use pkg-kde-tools kde.mk.
    - Remove patchsys-quilt.pk (not used).

  [ Mark Purcell ]
  * Refresh debian/watch

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 10:15:39 +0200

kphotoalbum (3.1.1-2) unstable; urgency=low

  * Add typeinfo include before using typeid. (Closes: #474355)

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 21:00:40 +0200

kphotoalbum (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Merge Ubuntu changes:
    * Add khelpcenter recommends.
    * Bump libexiv2-dev, libkdcraw-dev and libkexif1-dev build dependencies.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Tue, 25 Mar 2008 23:10:58 +0100

kphotoalbum (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Add libkdcraw-dev build dependency.
  * Replace Apps by Applications in menu file.
  * Switch to quilt patch system.
  * Build with --as-needed linker flag.
  * Add patch to fix typo in translation. (Closes: #430702)

 -- Fathi Boudra <fabo@debian.org>  Fri, 14 Dec 2007 22:42:58 +0100

kphotoalbum (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 24 Apr 2007 06:57:07 +1000

kphotoalbum (3.0-2) unstable; urgency=low

  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Thu, 29 Mar 2007 22:17:18 +0100

kphotoalbum (3.0-1) experimental; urgency=low

  * New upstream release
  * Remove autoconf 2.60 support patch, merged upstream
  * control: add libqt3-mt-sqlite and sqlite to depends
  * copyright: updated

 -- Fathi Boudra <fboudra@free.fr>  Wed,  3 Jan 2007 08:37:00 +0100

kphotoalbum (2.2-2) unstable; urgency=low

  * Add version to libexiv2 dependency (Closes: #386855) 

 -- Fathi Boudra <fboudra@free.fr>  Mon, 11 Sep 2006 00:07:52 +0200

kphotoalbum (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #370136, #351170)
  * Convert package to cdbs (Closes: #364371, #332754)
  * New maintainers:
    * Maintainer: KDE Extras Team
    * Uploaders: Mark Purcell and Fathi Boudra
  * compat: bumped to 5
  * control:
    * renamed KimDaBa to KPhotoAlbum
    * replaced Section graphics by kde
    * removed unneeded Build-depends
    * bumped Standards-Version to 3.7.2
    * removed kdegraphics from recommend (Closes: #346391)
    * updated description (Closes: #364160)
    * added Conflicts/Replaces KimDaBa
  * copyright: added missing copyrights


=== debian/control ===
Source: kphotoalbum
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4), cmake, pkg-kde-tools (>= 0.5), docbook-to-man,
 libexiv2-dev (>= 0.19), libjpeg62-dev,
 libkdcraw-dev, libkipi-dev, libmarble-dev (>= 4:4.4),
 x11proto-core-dev
Standards-Version: 3.8.4
Homepage: http://kphotoalbum.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kphotoalbum/trunk/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/

Package: kphotoalbum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-sql-sqlite
Recommends: kipi-plugins, khelpcenter
Suggests: mplayerthumbs
Description: tool for indexing, searching and viewing images by keywords for KDE
 KPhotoAlbum lets you index, search, group and view images by keywords, date,
 locations and persons. It provides a quick and elegant way to lookup groups of
 images when you have thousands of pictures on your hard disk. 
 .
 The information associated with each photo is stored in an XML file. Together
 with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will
 recognize them even if you move them to another directory. KPhotoAlbum can
 also create HTML galleries with the images you select.
 .
 KPhotoAlbum can also make use of the KIPI image handling plugins to extend its
 capabilities. The kipi-plugins package contains many useful extensions. Among
 others, it contains extensions for photo manipulation, importing, exporting
 and batch processing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_auto_build:
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_clean:
	dh_clean
	rm -f kphotoalbum.1

override_dh_compress:
	dh_compress -X.docbook

get-orig-source-dpatch:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://kphotoalbum.org/index.php?page=download-source data/download/kphotoalbum-(.*[\d\.])\.tar\.bz2 debian svn-upgrade

## kphotoalbum 4.2

=== debian/changelog ===
kphotoalbum (4.2-1~ubuntu12.04.1~ppa1) precise; urgency=low

  * Precise backport 
    - use libjpeg62-dev instead of libjpeg-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 13 Nov 2012 12:58:18 +0100

kphotoalbum (4.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Drop all the patches, no more needed now:
   - 01_kphotoalbum_stable_branch_pull.diff: backported from upstream
   - debian-changes-4.1.1-3: fixed upstream
   - fedora-docbook-fix.diff: fixed upstream
   - ubuntu-exiv2-0.21.diff: backported from upstream
  * Update watch file.
  * Update copyright.
  * Switch the libjpeg62-dev build dependency to libjpeg-dev. (Closes: #643314)
  * Fix Vcs-Browser header.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper compat to 9:
    - bump compat to 9
    - bump debhelper build dependency to 9
  * Link with --as-needed.
  * Do not install the upstream's TODO, not much helpful for users
    (and it seems not really up-to-date).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jun 2012 11:38:11 +0200

kphotoalbum (4.1.1-4) unstable; urgency=low

  * Team Upload

  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add patch from Fedora to fix docbook format for 4.1.2-dtd transition
      (Closes: #628538)
    - Add change from upstream to fix build with exiv2 0.21 (change will make
      kphotoalbum binNMUable when 0.21 is moved from Experimental to Unstable)
    - Update debian/control: add shared-desktop-ontologies build dependency

  [ Fathi Boudra ]
  * Update debian/control: bump build dependencies.
  * Update debian/rules:
    - enable parallel build (pass --parallel option to dh).
    - remove override_dh_compress - not needed anymore.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2011 20:45:23 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4), cmake, pkg-kde-tools (>= 0.5), docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg62-dev,
- libkdcraw-dev, libkipi-dev, libmarble-dev (>= 4:4.4),
- x11proto-core-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
+ libexiv2-dev (>= 0.19), libjpeg62-dev, libkdcraw-dev, libkipi-dev,
+ libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
+Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kphotoalbum/trunk/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum

## kphotoalbum 4.3

=== debian/changelog ===
kphotoalbum (4.3-1ubuntu1) raring; urgency=low

  * Add debian/patches/libdkcraw_api_fix.diff and libkipi-2.0.0_support.diff
    to enable building with KDE graphics libraries for KDE SC 4.10

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Dec 2012 00:45:02 -0500

kphotoalbum (4.3-1) experimental; urgency=low

  * New upstream release 
  * Add Depends: mplayer2

 -- Mark Purcell <msp@debian.org>  Fri, 28 Sep 2012 21:45:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg62-dev, libkdcraw-dev, libkipi-dev,
+ libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
  libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
 Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
@@ -14,7 +15,7 @@
 Package: kphotoalbum
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libqt4-sql-sqlite
+ libqt4-sql-sqlite, mplayer2
 Recommends: kipi-plugins, khelpcenter
 Suggests: mplayerthumbs
 Description: tool for indexing, searching and viewing images by keywords for KDE

## kphotoalbum 4.4

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6.2 FATAL_ERROR )
project(kphotoalbum)

# provide drop-down menu for build-type in cmake-gui:
if( NOT ${CMAKE_VERSION} VERSION_LESS "2.8.0" )
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")
endif()

find_package(KDE4 REQUIRED)
include( KDE4Defaults)

# This seems to be needed for KPA to compile with KDE 4.0.0
set(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                 ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )

ADD_DEFINITIONS(${QT_DEFINITIONS} 
                ${KDE4_DEFINITIONS}
                ${KDE4_ENABLE_EXCEPTIONS}
                -DOVERRIDE=
                -DKDAB_NYI=qWarning
                -DQT_NO_CAST_FROM_ASCII
                -DQT_NO_CAST_TO_ASCII
#                -DDEBUG_JOBMANAGER
               )

INCLUDE_DIRECTORIES(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                   )

find_package(JPEG REQUIRED)
if (JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
endif (JPEG_FOUND)

macro_optional_find_package(Kipi)
macro_bool_to_01(KIPI_FOUND HASKIPI)
if(KIPI_FOUND)
  ADD_DEFINITIONS(${KIPI_DEFINITIONS})
  INCLUDE_DIRECTORIES(BEFORE ${KIPI_INCLUDE_DIR})
endif(KIPI_FOUND)

macro_optional_find_package(Kdcraw)
macro_bool_to_01(KDCRAW_FOUND HAVE_KDCRAW)
if(KDCRAW_FOUND)
  ADD_DEFINITIONS(${KDCRAW_DEFINITIONS})
  INCLUDE_DIRECTORIES(BEFORE ${KDCRAW_INCLUDE_DIR})
endif(KDCRAW_FOUND)

macro_optional_find_package(Exiv2)
macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)

# because macro_optional_find_package(Marble) dies and screams when there's no
# FindMarble.cmake
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

macro_optional_find_package(Marble)
macro_bool_to_01(MARBLE_FOUND HAVE_MARBLE)
if(MARBLE_FOUND)
    INCLUDE_DIRECTORIES(${MARBLE_INCLUDE_DIR})
endif(MARBLE_FOUND)

add_custom_target( UpdateVersion ALL
	COMMAND ${CMAKE_COMMAND} -DBASE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
	COMMENT "Updating version header."
	)

macro_optional_find_package(Nepomuk)
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)

# For config-kpa-*.h
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

set(libdatebar_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp)

set(libSettings_SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SubCategoriesPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp
)

set(libxmldb_SRCS
       ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategoryCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLImageDateCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/NumberedBackup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileReader.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileWriter.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp
)

set(libThumbnailView_SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp
)
set(libPlugins_SRCS)

if(KIPI_FOUND)
set(libPlugins_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/CategoryImageCollection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollectionSelector.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
)
endif(KIPI_FOUND)

set(libViewer_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/SpeedDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp 
        ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp
        )

set(libCategoryListView_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp )

set(libHTMLGenerator_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp)

set(libUtilities_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Graph.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Set.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
    )

set(libMainWindow_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/RunDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/FeatureDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/InvalidDateFinder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/AutoStackImages.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/TokenEditor.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/WelcomeDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Window.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SplashScreen.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ExternalPopup.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CategoryImagePopup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SearchBar.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ImageCounter.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DirtyIndicator.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatisticsDialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/BreadcrumbViewer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatusBar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/UpdateVideoThumbnail.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMerger.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp
    )

set(libImageManager_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp 
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp 
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp 
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailBuilder.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/PreloadRequest.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CancelEvent.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoImageRescaleRequest.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
)

set(libDB_SRCS 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/Category.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryCollection.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ExactCategoryMatcher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDate.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/MD5Map.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/MemberMap.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfoList.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDB.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/FileInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/NegationCategoryMatcher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/NewImageFinder.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/NoTagCategoryMatcher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/GroupCounter.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryMatcher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageSearchInfo.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryItem.cpp 
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/ContainerCategoryMatcher.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/ValueCategoryMatcher.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/OrCategoryMatcher.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/AndCategoryMatcher.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/FastDir.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/FileName.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/DB/FileNameList.cpp
    )

set(libImportExport_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/Export.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/Import.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportMatcher.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/XMLHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/MiniViewer.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportHandler.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImageRow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/ImportSettings.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/KimFileReader.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ImportExport/MD5CheckPage.cpp
)

set(libAnnotationDialog_SRCS  
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/Dialog.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ListSelect.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ImagePreview.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ImagePreviewWidget.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/KDateEdit.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/CompletableLineEdit.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ListViewItemHider.cpp 
	${CMAKE_CURRENT_SOURCE_DIR}/AnnotationDialog/ShowSelectionOnlyManager.cpp

=== images/CMakeLists.txt ===
install( FILES  multiconfig.jpg search.jpg splash.png splash-large.png movie-clip.png DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/pics )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(hu)
add_subdirectory(uk)
add_subdirectory(ar)
add_subdirectory(pa)
add_subdirectory(is)
add_subdirectory(hne)
add_subdirectory(en_GB)
add_subdirectory(ca@valencia)
add_subdirectory(zh_TW)
add_subdirectory(ug)
add_subdirectory(nds)
add_subdirectory(pt)
add_subdirectory(da)
add_subdirectory(sk)
add_subdirectory(ro)
add_subdirectory(mai)
add_subdirectory(bs)
add_subdirectory(ga)
add_subdirectory(el)
add_subdirectory(pl)
add_subdirectory(nl)
add_subdirectory(tr)
add_subdirectory(mr)
add_subdirectory(hi)
add_subdirectory(cs)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(eu)
add_subdirectory(vi)
add_subdirectory(fr)
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(lt)
add_subdirectory(km)
add_subdirectory(hr)
add_subdirectory(ru)
add_subdirectory(ca)
add_subdirectory(es)
add_subdirectory(se)
add_subdirectory(nb)
add_subdirectory(pt_BR)
add_subdirectory(zh_CN)
add_subdirectory(bg)
add_subdirectory(eo)
add_subdirectory(gl)
add_subdirectory(nn)
add_subdirectory(be)
add_subdirectory(ja)

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kphotoalbum )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR kphotoalbum )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR kphotoalbum )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR kphotoalbum )

=== themes/darkJS/CMakeLists.txt ===
install( FILES download.png slideshow.gif slideshow2.gif  imagepage.html  kphotoalbum.theme  mainpage.html  navigation.js  display.js  style.css ie.css  DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/themes/darkJS )

=== debian/changelog ===
kphotoalbum (4.4-2build2) trusty; urgency=low

  * No change rebuild for libmarble transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 14:42:55 +0000

kphotoalbum (4.4-2build1) saucy; urgency=low

  * No change rebuild for libkipi transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Jun 2013 00:20:40 -0400

kphotoalbum (4.4-2) unstable; urgency=low

  * Update Standards Version 3.9.4 - no changes
  * Update debian/control - fix vcs-field-not-canonical 

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:26:03 +1000

kphotoalbum (4.4-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 11:05:13 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
  libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
@@ -10,7 +9,7 @@
 Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_build:
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f kphotoalbum.1

get-orig-source-dpatch:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/kphotoalbum/([\d\.]+)/src/kphotoalbum-([\d\.]+)\.tar\.bz2 debian svn-upgrade

## kphotoalbum 4.5

=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(en_US)
add_subdirectory(pt_BR)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(fr)

=== debian/changelog ===
kphotoalbum (4.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add the pkg-config build dependency.
  * Update watch file.
  * Remove mplayerthumbs suggest, as it is not used since 4.4; thanks to
    Johannes Zarl for the notice. (Closes: #713010)
  * Switch khelpcenter recommend to khelpcenter4 (which exists).
  * Fix Vcs-Browser header.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update copyright.
  * Add the libav-tools recommend, since avconv can be used.
  * Bump the cmake build dependency to 2.8.3, as indicated in the upstream
    build system.
  * Depend on ${perl:Depends}, since there are perl scripts.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Sep 2014 07:19:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
+ docbook-to-man,
  libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
- libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
-Standards-Version: 3.9.3
+ libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev,
+ pkg-config,
+Standards-Version: 3.9.5
 Homepage: http://kphotoalbum.org
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libqt4-sql-sqlite, mplayer2
-Recommends: kipi-plugins, khelpcenter
-Suggests: mplayerthumbs
+Recommends: kipi-plugins, khelpcenter4, libav-tools
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/kphotoalbum/([\d\.]+)/src/kphotoalbum-([\d\.]+)\.tar\.xz debian svn-upgrade
